Skip Menu |
 

This queue is for tickets about the Net-SSLeay CPAN distribution.

Report information
The Basics
Id: 92140
Status: resolved
Priority: 0/
Queue: Net-SSLeay

People
Owner: MIKEM [...] cpan.org
Requestors: skaji [...] outlook.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: failed to install Net::SSLeay 1.57 on CentOS 6.4
Date: Wed, 15 Jan 2014 00:20:23 +0900
To: bug-Net-SSLeay [...] rt.cpan.org
From: Shoichi Kaji <skaji [...] outlook.com>
Hi, My environment: CentOS 6.4 perl 5.18.1 openssl.x86_64-1.0.0-27.el6_4.2 openssl-devel.x86_64-1.0.0-27.el6_4.2 When I tried to install Net::SSLeay 1.57, I got following error message: Show quoted text
> make
... /home/skaji/.plenv/versions/5.18.1/bin/perl5.18.1 "-Iinc" /home/skaji/.plenv/versions/5.18.1/lib/perl5/5.18.1/ExtUtils/xsubpp -typemap /home/skaji/.plenv/versions/5.18.1/lib/perl5/5.18.1/ExtUtils/typemap -typemap typemap SSLeay.xs > SSLeay.xsc && mv SSLeay.xsc SSLeay.c cc -c -I/usr/include -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -DVERSION=\"1.57\" -DXS_VERSION=\"1.57\" -fPIC "-I/home/skaji/.plenv/versions/5.18.1/lib/perl5/5.18.1/x86_64-linux/CORE" SSLeay.c SSLeay.c: In function ‘XS_Net__SSLeay_EC_KEY_new_by_curve_name’: SSLeay.c:10577: error: ‘EC_KEY’ undeclared (first use in this function) SSLeay.c:10577: error: (Each undeclared identifier is reported only once SSLeay.c:10577: error: for each function it appears in.) SSLeay.c:10577: error: ‘RETVAL’ undeclared (first use in this function) SSLeay.c: In function ‘XS_Net__SSLeay_EC_KEY_free’: SSLeay.c:10594: error: ‘EC_KEY’ undeclared (first use in this function) SSLeay.c:10594: error: ‘key’ undeclared (first use in this function) SSLeay.c:10594: error: expected expression before ‘)’ token SSLeay.c: In function ‘XS_Net__SSLeay_CTX_set_tmp_ecdh’: SSLeay.c:10612: error: ‘EC_KEY’ undeclared (first use in this function) SSLeay.c:10612: error: ‘ecdh’ undeclared (first use in this function) SSLeay.c:10612: error: expected expression before ‘)’ token make: *** [SSLeay.o] Error 1 It seems that openssl-devel.x86_64-1.0.0-27.el6_4.2 does not include "ec.h" in which "EC_KEY" is declared. It is nice to check whether "EC_KEY" is available or not more carefully than OPENSSL_VERSION_NUMBER check in http://anonscm.debian.org/viewvc/net-ssleay/trunk/SSLeay.xs?view=markup#l4224 However if I updated openssl-devel to 1.0.1e-16.el6_5.4, then "ec.h" was included, and I could install Net::SSLeay perfectly. So you can ignore this issue. Thanks,
Subject: Re: [rt.cpan.org #92140] failed to install Net::SSLeay 1.57 on CentOS 6.4
Date: Wed, 15 Jan 2014 09:28:57 +1000
To: bug-Net-SSLeay [...] rt.cpan.org
From: Mike McCauley <mikem [...] airspayce.com>
Download (untitled) / with headers
text/plain 2.9k
Hi, thanks for reporting this. Should be fixed in new version 1.58 recently uploaded to CPAN. Cheers, On Tuesday, January 14, 2014 10:20:38 AM you wrote: Show quoted text
> Tue Jan 14 10:20:37 2014: Request 92140 was acted upon. > Transaction: Ticket created by skaji@outlook.com > Queue: Net-SSLeay > Subject: failed to install Net::SSLeay 1.57 on CentOS 6.4 > Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: skaji@outlook.com > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=92140 > > > > Hi, > > My environment: > CentOS 6.4 > perl 5.18.1 > openssl.x86_64-1.0.0-27.el6_4.2 > openssl-devel.x86_64-1.0.0-27.el6_4.2 > > When I tried to install Net::SSLeay 1.57, I got following error message:
> > make
> > ... > /home/skaji/.plenv/versions/5.18.1/bin/perl5.18.1 "-Iinc" > /home/skaji/.plenv/versions/5.18.1/lib/perl5/5.18.1/ExtUtils/xsubpp > -typemap > /home/skaji/.plenv/versions/5.18.1/lib/perl5/5.18.1/ExtUtils/typemap > -typemap typemap SSLeay.xs > SSLeay.xsc && mv SSLeay.xsc SSLeay.c cc -c > -I/usr/include -fno-strict-aliasing -pipe -fstack-protector > -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g > -DVERSION=\"1.57\" -DXS_VERSION=\"1.57\" -fPIC > "-I/home/skaji/.plenv/versions/5.18.1/lib/perl5/5.18.1/x86_64-linux/CORE" > SSLeay.c > SSLeay.c: In function ‘XS_Net__SSLeay_EC_KEY_new_by_curve_name’: > SSLeay.c:10577: error: ‘EC_KEY’ undeclared (first use in this function) > SSLeay.c:10577: error: (Each undeclared identifier is reported only once > SSLeay.c:10577: error: for each function it appears in.) > SSLeay.c:10577: error: ‘RETVAL’ undeclared (first use in this function) > SSLeay.c: In function ‘XS_Net__SSLeay_EC_KEY_free’: > SSLeay.c:10594: error: ‘EC_KEY’ undeclared (first use in this function) > SSLeay.c:10594: error: ‘key’ undeclared (first use in this function) > SSLeay.c:10594: error: expected expression before ‘)’ token > SSLeay.c: In function ‘XS_Net__SSLeay_CTX_set_tmp_ecdh’: > SSLeay.c:10612: error: ‘EC_KEY’ undeclared (first use in this function) > SSLeay.c:10612: error: ‘ecdh’ undeclared (first use in this function) > SSLeay.c:10612: error: expected expression before ‘)’ token > make: *** [SSLeay.o] Error 1 > > It seems that openssl-devel.x86_64-1.0.0-27.el6_4.2 does not include "ec.h" > in which "EC_KEY" is declared. > It is nice to check whether "EC_KEY" is available or not more carefully > than OPENSSL_VERSION_NUMBER check > in > http://anonscm.debian.org/viewvc/net-ssleay/trunk/SSLeay.xs?view=markup#l42 > 24 > > However if I updated openssl-devel to 1.0.1e-16.el6_5.4, then "ec.h" > was included, > and I could install Net::SSLeay perfectly. > So you can ignore this issue. > > Thanks,
-- Mike McCauley VK4AMM mikem@airspayce.com Airspayce Pty Ltd 9 Bulbul Place Currumbin Waters QLD 4223 Australia http://www.airspayce.com Phone +61 7 5598-7474 Fax +61 7 5598-7070
Subject: Re: [rt.cpan.org #92140] failed to install Net::SSLeay 1.57 on CentOS 6.4
Date: Fri, 17 Jan 2014 23:24:21 +0900
To: bug-Net-SSLeay [...] rt.cpan.org
From: Shoichi Kaji <skaji [...] outlook.com>
Download (untitled) / with headers
text/plain 3.2k
Hi, I could install Net-SSLeay-1.58 on my CentOS 6.4 box. Thanks a lot! 2014/1/15 Mike McCauley via RT <bug-Net-SSLeay@rt.cpan.org>: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=92140 > > > Hi, > > thanks for reporting this. > Should be fixed in new version 1.58 recently uploaded to CPAN. > > Cheers, > > On Tuesday, January 14, 2014 10:20:38 AM you wrote:
>> Tue Jan 14 10:20:37 2014: Request 92140 was acted upon. >> Transaction: Ticket created by skaji@outlook.com >> Queue: Net-SSLeay >> Subject: failed to install Net::SSLeay 1.57 on CentOS 6.4 >> Broken in: (no value) >> Severity: (no value) >> Owner: Nobody >> Requestors: skaji@outlook.com >> Status: new >> Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=92140 > >> >> >> Hi, >> >> My environment: >> CentOS 6.4 >> perl 5.18.1 >> openssl.x86_64-1.0.0-27.el6_4.2 >> openssl-devel.x86_64-1.0.0-27.el6_4.2 >> >> When I tried to install Net::SSLeay 1.57, I got following error message:
>> > make
>> >> ... >> /home/skaji/.plenv/versions/5.18.1/bin/perl5.18.1 "-Iinc" >> /home/skaji/.plenv/versions/5.18.1/lib/perl5/5.18.1/ExtUtils/xsubpp >> -typemap >> /home/skaji/.plenv/versions/5.18.1/lib/perl5/5.18.1/ExtUtils/typemap >> -typemap typemap SSLeay.xs > SSLeay.xsc && mv SSLeay.xsc SSLeay.c cc -c >> -I/usr/include -fno-strict-aliasing -pipe -fstack-protector >> -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g >> -DVERSION=\"1.57\" -DXS_VERSION=\"1.57\" -fPIC >> "-I/home/skaji/.plenv/versions/5.18.1/lib/perl5/5.18.1/x86_64-linux/CORE" >> SSLeay.c >> SSLeay.c: In function ‘XS_Net__SSLeay_EC_KEY_new_by_curve_name’: >> SSLeay.c:10577: error: ‘EC_KEY’ undeclared (first use in this function) >> SSLeay.c:10577: error: (Each undeclared identifier is reported only once >> SSLeay.c:10577: error: for each function it appears in.) >> SSLeay.c:10577: error: ‘RETVAL’ undeclared (first use in this function) >> SSLeay.c: In function ‘XS_Net__SSLeay_EC_KEY_free’: >> SSLeay.c:10594: error: ‘EC_KEY’ undeclared (first use in this function) >> SSLeay.c:10594: error: ‘key’ undeclared (first use in this function) >> SSLeay.c:10594: error: expected expression before ‘)’ token >> SSLeay.c: In function ‘XS_Net__SSLeay_CTX_set_tmp_ecdh’: >> SSLeay.c:10612: error: ‘EC_KEY’ undeclared (first use in this function) >> SSLeay.c:10612: error: ‘ecdh’ undeclared (first use in this function) >> SSLeay.c:10612: error: expected expression before ‘)’ token >> make: *** [SSLeay.o] Error 1 >> >> It seems that openssl-devel.x86_64-1.0.0-27.el6_4.2 does not include "ec.h" >> in which "EC_KEY" is declared. >> It is nice to check whether "EC_KEY" is available or not more carefully >> than OPENSSL_VERSION_NUMBER check >> in >> http://anonscm.debian.org/viewvc/net-ssleay/trunk/SSLeay.xs?view=markup#l42 >> 24 >> >> However if I updated openssl-devel to 1.0.1e-16.el6_5.4, then "ec.h" >> was included, >> and I could install Net::SSLeay perfectly. >> So you can ignore this issue. >> >> Thanks,
> -- > Mike McCauley VK4AMM mikem@airspayce.com > Airspayce Pty Ltd 9 Bulbul Place Currumbin Waters QLD 4223 Australia > http://www.airspayce.com > Phone +61 7 5598-7474 Fax +61 7 5598-7070 > >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.